<?php
	session_start();
	function caracteres_html($texto){
      $texto = htmlentities($texto, ENT_NOQUOTES, 'UTF-8'); // Convertir caracteres especiales a entidades
      $texto = htmlspecialchars_decode($texto, ENT_NOQUOTES); // Dejar <, & y > como estaban
      return $texto;
  }
	require_once('conexion.php');
	$user = $_POST['usuario'];
	$pass = $_POST['pass'];
	$sql= "SELECT * FROM Usuarios where Usuario='$user' AND Pass='$pass' AND Activado= 1 AND Eliminado= 0";
	$res = mysqli_query($conexion,$sql);
	$num = mysqli_num_rows($res);

	if($num == 0){
		echo 0;

		/*if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"index.php\">Lista de usuarios</a>");
		}
		else{
	    exit(header("Location: index.php"));
		}*/
	}else{
		$p = mysqli_fetch_array($res);
		$id_admin = $p['IdUsuario'];
		$priv = $p['Privilegios'];
		$suc = $p['IdSuc'];
		$tipou = $p['TipoUsuario'];
		$nom_admin = $p['Nombre'].' '.$p['Apellidos'];

		$_SESSION['id_user']= $id_admin;
		$_SESSION['nom_admin']= caracteres_html($nom_admin);
		$_SESSION['IdSuc']= $suc;
		$_SESSION['Priv']= $priv;
		$_SESSION['tipouser'] = $tipou;
		 // Siempre al inicio del documento
		/*if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"inicio.php\">Lista de usuarios</a>");
		}
		else{
	    exit(header("Location: usuario_lista.php"));
		}*/
		echo $tipou;
	}
?>
